Subject: Re: bug#13594: Planning Emacs-24.4

From: martin rudalics <[email-masked]>
Date: Mon, 18 Nov 2013 16:20:35 +0100

> I wonder if at this point you can take over fixing this bug. I am
 > unfamiliar with windowing. So I might not be able to propose a fix in
 > perspective.

I thought you intially wanted to fix the problem that a caller cannot
handle a nil return value from `display-buffer'.  But Stefan says that
it's not necessary to do that and I agree with him.  So your fix is OK
but I'd just make the last line of `display-buffer' something like

(when (windowp window) window)

and you don't have to talk about a return value of t.  Returning t sounds
not very intuitive when a function fails to accomplish something.

martin